# Class SAMBinaryTagAndUnsignedArrayValue

java.lang.Object
htsjdk.samtools.SAMBinaryTagAndValue
htsjdk.samtools.SAMBinaryTagAndUnsignedArrayValue

All Implemented Interfaces:
  `Serializable`

public class SAMBinaryTagAndUnsignedArrayValue extends SAMBinaryTagAndValue
Simple extension to SAMBinaryTagAndValue in order to distinguish unsigned array values, because signedness cannot be determined by introspection of value. Must be array of byte, short, or int.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class SAMBinaryTagAndValue

`next, serialVersionUID, tag, value`

## Constructor Summary

Constructors
Constructor
Description
`SAMBinaryTagAndUnsignedArrayValue(short tag, Object value)`

## Method Summary

Modifier and Type
Method
Description
`SAMBinaryTagAndValue`
`copy()`
Creates and returns a shallow copy of the list of tag/values.
`SAMBinaryTagAndValue`
`deepCopy()`
Creates and returns a deep copy of the list of tag/values.
`boolean`
`isUnsignedArray()`

### Methods inherited from class SAMBinaryTagAndValue

`cloneValue, equals, find, getNext, hashCode, insert, isAllowedAttributeValue, remove`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SAMBinaryTagAndUnsignedArrayValue

public SAMBinaryTagAndUnsignedArrayValue(short tag, Object value)

## Method Details

### copy

public SAMBinaryTagAndValue copy()
Creates and returns a shallow copy of the list of tag/values.

Overrides:
  `copy` in class `SAMBinaryTagAndValue`

### deepCopy

public SAMBinaryTagAndValue deepCopy()
Creates and returns a deep copy of the list of tag/values.

Overrides:
  `deepCopy` in class `SAMBinaryTagAndValue`

### isUnsignedArray

public boolean isUnsignedArray()

Overrides:
  `isUnsignedArray` in class `SAMBinaryTagAndValue`